#include "guess.h"
#include <bits/stdc++.h>

using namespace std;

int find_number(int MAX)
{
    int st = 1, pas = 1 << 30;
    while (pas != 0)
    {
        if (st + pas <= MAX and !smaller(st + pas))
            st += pas;
        pas /= 2;
    }
    return st;
}
